View Issue Details

IDProjectCategoryView StatusLast Update
0001970SymmetricDSImprovementpublic2015-01-06 17:27
ReporterelongAssigned Toelong 
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product Version3.7.0 
Target Version3.7.0Fixed in Version3.7.0 
Summary0001970: Valuemap transform syntax for passing values through
DescriptionThe valuemap transform maps source to target values using "source=target" syntax with a special syntax of "*=x" for setting default values to "x" when there are no other matches. Add additional syntax to allow remaining values to pass through using "*=*". For example, "a=b c=d *=*" would allow "e" to stay as value of "e".

http://sourceforge.net/p/symmetricds/discussion/739236/thread/b41551f7/?limit=25#b94a
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master 878b38b2

2014-09-16 08:50:28

erilong

Details Diff
0001970: Valuemap transform syntax for passing values through
0001970
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/transform/ValueMapColumnTransform.java Diff File

Issue History

Date Modified Username Field Change
2014-09-16 08:30 elong New Issue
2014-09-16 08:30 elong Status new => assigned
2014-09-16 08:30 elong Assigned To => elong
2014-09-16 08:50 elong Status assigned => resolved
2014-09-16 08:50 elong Fixed in Version => 3.7.0
2014-09-16 08:50 elong Resolution open => fixed
2014-09-16 09:00 Changeset attached => SymmetricDS trunk r8700
2015-01-06 17:27 chenson Status resolved => closed
2015-07-30 21:49 Changeset attached => SymmetricDS master 878b38b2